Bug 209911 - losetup: ioctl: LOOP_SET_STATUS: Invalid argument
losetup: ioctl: LOOP_SET_STATUS: Invalid argument
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-07 20:11 EDT by Kasper Dupont
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 09:19:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2006-10-07 20:11:32 EDT
Description of problem:
Setting up encrypted loopback like specified in the man page does not work.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.20.4
kernel-2.6.17-1.2187_FC5

How reproducible:
Happens always

Steps to Reproduce:
1. man losetup
2. dd if=/dev/zero of=/file bs=1k count=100
3. losetup -e des /dev/loop0 /file
  
Actual results:
Password: 
ioctl: LOOP_SET_STATUS: Invalid argument

Expected results:
Password:
Init (up to 16 hex digits):
# and the device gets attached with encryption enabled

Additional info:
The man page appears to be somewhat outdated. The only encryptions mentioned are
DES and XOR. Maybe the only fix needed for this bug is an updated man page.
Comment 1 Karel Zak 2006-10-11 17:19:10 EDT
Cryptoloop is deprecated (in the 2.6 kernel) in favour of dm-crypt. For more
information about dm-crypt see cryptsetup man page.

Well, we should add this note to the losetup man page.
Comment 2 Karel Zak 2006-10-12 06:00:09 EDT
The man page updated in the devel branch.
Comment 3 Karel Zak 2006-11-01 09:19:43 EST
The man page has been updated in FC6.

Note You need to log in before you can comment on or make changes to this bug.